/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_rot42.c                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: loic <marvin@42.fr>                        +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/01/24 12:58:05 by loic              #+#    #+#             */
/*   Updated: 2019/01/24 14:39:36 by loic             ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include <stdio.h>

char	rot42(char c)
{
		if ('a' <= c && c <= 'z')
				return  ((((c - 'a')  + 42) % 26) + 'a');
		else if ('A' <= c && c <= 'Z')
				return ((((c - 'A') + 42) % 26) + 'A');
		else
			return (c);
}
char	*ft_rot42(char *str)
{
	int	i;

	i = 0;
	while (str[i] != '\0')
	{
		str[i] = rot42(str[i]);
		i++;
	}
	return (str);
}
